Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc
Class JdbcLocalI18n

    java.lang.Object
      org.modeshape.jdbc.JdbcLocalI18n

    public final class JdbcLocalI18n

extends Object

The internationalized string constants for the `org.modeshape.jdbc*` packages.

Field Summary
`static I18n` | `argumentMayNotBeNegative`
`static I18n` | `argumentMayNotBeNull`
`static I18n` | `classDoesNotImplementInterface`
`static I18n` | `configurationFileNotSpecified`
`static I18n` | `connectionIsClosed`
`static I18n` | `currentRowNotSet`
`static I18n` | `driverErrorRegistering`
`static I18n` | `driverName`
`static I18n` | `driverVendor`
`static I18n` | `driverVendorUrl`
`static I18n` | `driverVersion`
`static I18n` | `failedToReadPropertiesFromManifest`
`static I18n` | `i18nClassInterface`
`static I18n` | `i18nClassNotPublic`
`static I18n` | `i18nFieldFinal`
`static I18n` | `i18nFieldInvalidType`
`static I18n` | `i18nFieldNotPublic`
`static I18n` | `i18nFieldNotStatic`
`static I18n` | `i18nLocalizationFileNotFound`
`static I18n` | `i18nLocalizationProblems`
`static I18n` | `i18nPropertyDuplicate`
`static I18n` | `i18nPropertyMissing`
`static I18n` | `i18nPropertyUnused`
`static I18n` | `i18nRequiredToSuppliedParameterMismatch`
`static I18n` | `invalidArgument`
`static I18n` | `invalidClientInfo`
`static I18n` | `invalidColumnIndex`
`static I18n` | `invalidUrl`
`static I18n` | `invalidUrlPrefix`
`static I18n` | `noJcrTypeMapped`
`static I18n` | `noNodeTypesReturned`
`static I18n` | `noRepositoryNamesFound`
`static I18n` | `noSuchColumn`
`static I18n` | `noSuchNodeType`
`static I18n` | `objectInJndiIsRepositories`
`static I18n` | `objectInJndiMustBeRepositoryOrRepositories`
`static I18n` | `passwordPropertyDescription`
`static I18n` | `passwordPropertyName`
`static I18n` | `repositoryNameInUse`
`static I18n` | `repositoryNamePropertyDescription`
`static I18n` | `repositoryNamePropertyName`
`static I18n` | `resultSetIsClosed`
`static I18n` | `resultSetIsForwardOnly`
`static I18n` | `statementIsClosed`
`static I18n` | `timeoutMayNotBeNegative`
`static I18n` | `unableToFindNamedRepository`
`static I18n` | `unableToFindObjectInJndi`
`static I18n` | `unableToGetJndiContext`
`static I18n` | `unableToGetNodeType`
`static I18n` | `unableToGetNodeTypes`
`static I18n` | `updatesNotSupported`
`static I18n` | `urlMustContainJndiNameOfRepositoryOrRepositoriesObject`
`static I18n` | `urlPropertyDescription`
`static I18n` | `urlPropertyName`
`static I18n` | `usernamePropertyDescription`
`static I18n` | `usernamePropertyName`
`static I18n` | `workspaceNamePropertyDescription`
`static I18n` | `workspaceNamePropertyName`

Constructor Summary
`JdbcLocalI18n()`

Method Summary
`static Set<Locale>` | `getLocalizationProblemLocales()`
`static Set<String>` | `getLocalizationProblems()`
`static Set<String>` | `getLocalizationProblems(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### i18nClassInterface

    public static I18n i18nClassInterface

### i18nClassNotPublic

    public static I18n i18nClassNotPublic

### i18nFieldFinal

    public static I18n i18nFieldFinal

### i18nFieldInvalidType

    public static I18n i18nFieldInvalidType

### i18nFieldNotPublic

    public static I18n i18nFieldNotPublic

### i18nFieldNotStatic

    public static I18n i18nFieldNotStatic

### i18nLocalizationFileNotFound

    public static I18n i18nLocalizationFileNotFound

### i18nLocalizationProblems

    public static I18n i18nLocalizationProblems

### i18nPropertyDuplicate

    public static I18n i18nPropertyDuplicate

### i18nPropertyMissing

    public static I18n i18nPropertyMissing

### i18nPropertyUnused

    public static I18n i18nPropertyUnused

### i18nRequiredToSuppliedParameterMismatch

    public static I18n i18nRequiredToSuppliedParameterMismatch

### driverName

    public static I18n driverName

### driverVendor

    public static I18n driverVendor

### driverVendorUrl

    public static I18n driverVendorUrl

### driverVersion

    public static I18n driverVersion

### driverErrorRegistering

    public static I18n driverErrorRegistering

### usernamePropertyDescription

    public static I18n usernamePropertyDescription

### passwordPropertyDescription

    public static I18n passwordPropertyDescription

### workspaceNamePropertyDescription

    public static I18n workspaceNamePropertyDescription

### repositoryNamePropertyDescription

    public static I18n repositoryNamePropertyDescription

### urlPropertyDescription

    public static I18n urlPropertyDescription

### urlPropertyName

    public static I18n urlPropertyName

### usernamePropertyName

    public static I18n usernamePropertyName

### passwordPropertyName

    public static I18n passwordPropertyName

### workspaceNamePropertyName

    public static I18n workspaceNamePropertyName

### repositoryNamePropertyName

    public static I18n repositoryNamePropertyName

### invalidUrl

    public static I18n invalidUrl

### invalidUrlPrefix

    public static I18n invalidUrlPrefix

### failedToReadPropertiesFromManifest

    public static I18n failedToReadPropertiesFromManifest

### unableToFindNamedRepository

    public static I18n unableToFindNamedRepository

### noRepositoryNamesFound

    public static I18n noRepositoryNamesFound

### argumentMayNotBeNegative

    public static I18n argumentMayNotBeNegative

### argumentMayNotBeNull

    public static I18n argumentMayNotBeNull

### connectionIsClosed

    public static I18n connectionIsClosed

### statementIsClosed

    public static I18n statementIsClosed

### resultSetIsClosed

    public static I18n resultSetIsClosed

### resultSetIsForwardOnly

    public static I18n resultSetIsForwardOnly

### noSuchColumn

    public static I18n noSuchColumn

### updatesNotSupported

    public static I18n updatesNotSupported

### timeoutMayNotBeNegative

    public static I18n timeoutMayNotBeNegative

### classDoesNotImplementInterface

    public static I18n classDoesNotImplementInterface

### invalidClientInfo

    public static I18n invalidClientInfo

### invalidArgument

    public static I18n invalidArgument

### invalidColumnIndex

    public static I18n invalidColumnIndex

### currentRowNotSet

    public static I18n currentRowNotSet

### noJcrTypeMapped

    public static I18n noJcrTypeMapped

### unableToGetNodeTypes

    public static I18n unableToGetNodeTypes

### noNodeTypesReturned

    public static I18n noNodeTypesReturned

### unableToGetNodeType

    public static I18n unableToGetNodeType

### noSuchNodeType

    public static I18n noSuchNodeType

### repositoryNameInUse

    public static I18n repositoryNameInUse

### objectInJndiMustBeRepositoryOrRepositories

    public static I18n objectInJndiMustBeRepositoryOrRepositories

### unableToGetJndiContext

    public static I18n unableToGetJndiContext

### urlMustContainJndiNameOfRepositoryOrRepositoriesObject

    public static I18n urlMustContainJndiNameOfRepositoryOrRepositoriesObject

### unableToFindObjectInJndi

    public static I18n unableToFindObjectInJndi

### objectInJndiIsRepositories

    public static I18n objectInJndiIsRepositories

### configurationFileNotSpecified

    public static I18n configurationFileNotSpecified

Constructor Detail

### JdbcLocalI18n

    public JdbcLocalI18n()

Method Detail

### getLocalizationProblemLocales

    public static Set<Locale> getLocalizationProblemLocales()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.